Page MenuHomePhabricator

Move Similarusers repo out of Github and into Gerrit
Closed, ResolvedPublic

Description

In order to integrate into our deployment pipeline, the similarusers service repo needs to be moved to gerrit. Currently it lives in github

Event Timeline

hnowlan created this task.Nov 26 2020, 3:58 PM

Change 643926 had a related patch set uploaded (by Hnowlan; owner: Hnowlan):
[integration/config@master] Add similar-users repo to pipeline and publish.

https://gerrit.wikimedia.org/r/643926

Aklapper added a comment.EditedNov 28 2020, 2:34 PM

Please request (and use) a project in Phabricator to track bugs and feature requests in the Similarusers repo, if there will be some dedicated code repository in Gerrit, so any people interested in that project can find the tasks in that project. Thanks.

Change 643926 merged by jenkins-bot:
[integration/config@master] layout: [mediawiki/services/similar-users] Install pipeline/publish CI

https://gerrit.wikimedia.org/r/643926

Mentioned in SAL (#wikimedia-releng) [2020-11-30T16:30:18Z] <James_F> Zuul: [mediawiki/services/similar-users] Install pipeline/publish CI T268839

hnowlan closed this task as Resolved.Dec 1 2020, 4:09 PM
hnowlan moved this task from Waiting for Review to Done on the Platform Team Workboards (Green) board.

@hnowlan: Please also see T268839#6653710 - thanks.

Oops, thanks and apologies @Aklapper! I don't think we need a project in this context as ownership of Sockpuppet in future will fall under the remit of the Platform Engineering team and so we'll track tasks for work on the service using the Platform Team boards and a tag for Sockpuppet.